Commit 8dfe5aac authored by Natanael Copa's avatar Natanael Copa
Browse files

main/dahdi-linux-vserver: fix pkgrel

cannot depend on other apkbuild for _dahdiver
parent 5a93ee63
......@@ -3,12 +3,6 @@
_flavor=${FLAVOR:-vserver}
# source dahdi-linux ver
if [ -f ../dahdi-linux/APKBUILD ]; then
. ../dahdi-linux/APKBUILD
fi
_dahdiver=$pkgver
# source the kernel version
if [ -f ../linux-${_flavor}/APKBUILD ]; then
. ../linux-${_flavor}/APKBUILD
......@@ -21,7 +15,9 @@ _realname=dahdi-linux
pkgname=${_realname}-${_flavor}
pkgver=$pkgver
_mypkgrel=0
# when bumping _dahdiver we *must* bump _mypkgrel
_dahdiver=2.3.0.1
_mypkgrel=3
pkgrel=$(( $_kpkgrel + $_mypkgrel ))
pkgdesc="Digium Asterisk Hardware Device Interface drivers $_dahdiver"
url="http://www.asterisk.org"
......@@ -68,7 +64,7 @@ depends_dev="dahdi-linux-dev"
dev() {
default_dev
local dir="$subpkgdir"/usr/src/dahdi-headers-${_abi_release}
install -D "$srcdir"/$_realname-$pkgver/drivers/dahdi/Module.symvers \
install -D "$srcdir"/$_realname-$_dahdiver/drivers/dahdi/Module.symvers \
"$dir"/drivers/dahdi/Module.symvers
ln -s /usr/include "$dir"/include
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment